Bug 1026798 - [rhevm-cli] rhevm-shell --help requires authentication in autoconnect mode
[rhevm-cli] rhevm-shell --help requires authentication in autoconnect mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Juan Hernández
Jiri Belka
infra
:
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-11-05 08:03 EST by Jiri Belka
Modified: 2016-02-10 14:20 EST (History)
6 users (show)

See Also:
Fixed In Version: is22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20920 None None None Never

  None (edit)
Description Jiri Belka 2013-11-05 08:03:53 EST
Description of problem:

README file points to http://wiki.ovirt.org/wiki/CLI#Usage (Does have this wiki a process to have up-to-date documentation?) and there's output from `ovirt-shell --help` but this does not work.

Two points:
* --help _must_ work and it worked! BZ854338#4
* what about if I don't have network access to Internet, how would I find out what is valid syntax just to connect rhevm-shell?

-%-
# rhevm-shell 
URL: localhost
Username: admin@internal
Password: 


error: "localhost" is invalid url format. valid format is http[s]://server:port/api.



        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (disconnected)]# 
[root@jb-rh33 ~]# rhevm-shell -c -l https://localhost/api
Username: admin@internal
Password: 


error: server CA certificate file must be specified for SSL secured connection.



        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (disconnected)]# 
[root@jb-rh33 ~]# rhevm-shell --help
URL:
-%-

Version-Release number of selected component (if applicable):
rhevm-cli-3.3.0.8-1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. --help
2.
3.

Actual results:
--help does not work. taking magic ball to get what should i type to make it work

Expected results:
--help should how me some info how to make it work

Additional info:
this app neither does have a manpage nor it has any useful documentation inside rpm package. it points only to ovirt.org wiki which has probably questionable process for updates of the info. let's hope users would find out there's rhevm-doc package which has Command Line Shell Guide.
Comment 1 Michael Pasternak 2013-11-05 08:45:59 EST
Hi Jiri,

this issues is already addressed in 3.4 cli, workarounds are:

1. configure shell at ~/rhevmshellrc

2. disable 'autoconnect' at ~/rhevmshellrc, this way you can see
help without connecting and when you would like to connect, just
pass -c/--connect among other options.

hope it helps.
Comment 2 Michael Pasternak 2013-11-05 08:46:49 EST
(In reply to Michael Pasternak from comment #1)
> Hi Jiri,
> 
> this issues is already addressed in 3.4 cli, workarounds are:
> 
> 1. configure shell at ~/rhevmshellrc

~/.rhevmshellrc of course.

> 
> 2. disable 'autoconnect' at ~/rhevmshellrc, this way you can see
> help without connecting and when you would like to connect, just
> pass -c/--connect among other options.
> 
> hope it helps.
Comment 3 Jiri Belka 2013-11-05 09:02:29 EST
Yes this workaround works. But... how would one find this workaround in 3.3 which would be shipped? For me --help is a must for 3.3 version.
Comment 4 Michael Pasternak 2013-11-05 09:08:32 EST
(In reply to Jiri Belka from comment #3)
> Yes this workaround works. But... how would one find this workaround in 3.3
> which would be shipped? For me --help is a must for 3.3 version.

no problem, i'll beakport the fix.
Comment 5 Jiri Belka 2013-11-08 10:10:28 EST
ok, is22.
Comment 7 Itamar Heim 2014-01-21 17:11:53 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.